Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems Class Reference

Injects valid items into the block view. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems:

## Public Member Functions
| __construct (PageService $pageService)
| injectValidItems (FilterViewParametersEvent $event)

## Static Public Member Functions
static | getSubscribedEvents ()

## Protected Attributes
| $pageService

## Detailed Description

Injects valid items into the block view.

Definition at line 18 of file ValidItems.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems::__construct | ( | PageService | $pageService | ) |

Definition at line 23 of file ValidItems.php.

References eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems\$pageService.

## Member Function Documentation

## ◆ getSubscribedEvents()

static eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems::getSubscribedEvents | ( |  | ) |
| static

Definition at line 28 of file ValidItems.php.

References eZ\Publish\Core\MVC\Symfony\View\ViewEvents\FILTER_VIEW_PARAMETERS.

## ◆ injectValidItems()

eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems::injectValidItems | ( | FilterViewParametersEvent | $event | ) |

Definition at line 33 of file ValidItems.php.

References eZ\Publish\Core\MVC\Symfony\View\Event\FilterViewParametersEvent\getParameterBag(), and eZ\Publish\Core\MVC\Symfony\View\Event\FilterViewParametersEvent\getView().

## Member Data Documentation

## ◆ $pageService

eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems::$pageService
| protected

Definition at line 21 of file ValidItems.php.

Referenced by eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems\__construct().

The documentation for this class was generated from the following file:

- ValidItems.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.